ReactPhysics3D: reactphysics3d::ContactPair Struct Reference

| ReactPhysics3D v0.10.2 C++ Physics engine library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
reactphysics3d::ContactPair Struct Reference

This structure represents a pair of shapes that are in contact during narrow-phase. More...

`#include <include/reactphysics3d/collision/ContactPair.h>`

## Public Member Functions
| ContactPair (uint64 pairId, Entity body1Entity, Entity body2Entity, Entity collider1Entity, Entity collider2Entity, uint32 contactPairIndex, bool collidingInPreviousFrame, bool isTrigger)
| Constructor.
void | removePotentialManifoldAtIndex (uint32 index)

## Public Attributes
uint64 | pairId
| Overlapping pair Id.
uint8 | nbPotentialContactManifolds
| Number of potential contact manifolds.
uint32 | potentialContactManifoldsIndices [NB_MAX_POTENTIAL_CONTACT_MANIFOLDS]
| Indices of the potential contact manifolds.
Entity | body1Entity
| Entity of the first body of the contact.
Entity | body2Entity
| Entity of the second body of the contact.
Entity | collider1Entity
| Entity of the first collider of the contact.
Entity | collider2Entity
| Entity of the second collider of the contact.
bool | isAlreadyInIsland
| True if the manifold is already in an island.
uint32 | contactPairIndex
| Index of the contact pair in the array of pairs.
uint32 | contactManifoldsIndex
| Index of the first contact manifold in the array.
uint32 | nbContactManifolds
| Number of contact manifolds.
uint32 | contactPointsIndex
| Index of the first contact point in the array of contact points.
uint32 | nbToTalContactPoints
| Total number of contact points in all the manifolds of the contact pair.
bool | collidingInPreviousFrame
| True if the colliders of the pair were already colliding in the previous frame.
bool | isTrigger
| True if one of the two involved colliders is a trigger.

## Detailed Description

This structure represents a pair of shapes that are in contact during narrow-phase.

The documentation for this struct was generated from the following file:

- include/reactphysics3d/collision/ContactPair.h